﻿using Benday.WpfCommandExceptionDemo.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Benday.WpfCommandExceptionDemo
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            SubscribeToMessageBoxHandler();
        }

        private void SubscribeToMessageBoxHandler()
        {
            var locator = FindResource("Locator") as ViewModelLocator;

            locator.Messages.MessageBoxRequested += Messages_MessageBoxRequested;
        }

        void Messages_MessageBoxRequested(object sender, MessageBoxRequestedEventArgs e)
        {
            MessageBox.Show(e.Message);
        }
    }
}
